PROBLEM WHILE running drools-guvnor in TOMCAT

One Star

PROBLEM WHILE running drools-guvnor in TOMCAT

hi,
To run drools-guvnor in TOMCAT i followed the below link.
https://www.talendforge.org/forum/viewtopic.php?pid=176193#p176193
But i got two problems here
1.i see more than 3 jars in ..\drools-5.1.1-guvnor\WEB-INF\lib.But in the 2 point provided in link they asked to copy 3 jars.Which 3 jars i need to copy to tomact\lib.
2. Third point in the link tells to change "tac.remoteconnectionservlet.url" which is preasent under Tomcat installation folder/webapps/drools-guvnor/WEB-INF/classes/config.properties.But i didnt see "config.properties" under "Tomcat installation folder/webapps/drools-guvnor/WEB-INF/classes/".
help me solve this and mistake i am doing.
I use Talend-Tools-Studio-20151214_1327-V6.1.1 and tomcat7.0
have look at my screenshots.

Moderator

Re: PROBLEM WHILE running drools-guvnor in TOMCAT

Hi,
It seems you are using a free trial version of Talend Data Integration without TAC . Do you want to use drools-guvnor in studio?
Have you already checked document about:TalendHelpCenter:Business rules?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: PROBLEM WHILE running drools-guvnor in TOMCAT

thanks team for your help.
No,I dont want to use drools-guvnor in studio.
I want to generate rules using GUVNOR from outside talend.I dont want to use GUVNOR which is integrated in TALEND.
After that,rules generated by GUVNOR(not talend guvnor) should be used in TALEND JOB.
Is that possible to accomplish using TALEND DATA INTEGRATION tool ?
One Star

Re: PROBLEM WHILE running drools-guvnor in TOMCAT

any update team??
Moderator

Re: PROBLEM WHILE running drools-guvnor in TOMCAT

Hi praveen522,
We have redirected your issue to our expert then come back to you as soon as we can.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Employee

Re: PROBLEM WHILE running drools-guvnor in TOMCAT

Hello praveen522,
I'd like to answer your questions.
The instructions in the link was a bit outdated. At that time, we work with Drools 5.2.0.
In the latest Talend Releases (starting from 6.0.1), we are incorporating Drools 6.2.0, which is a great update containing many useful new features, such as integrated BPMN flow editor, maven-based artifact deployment, and Git SCM support, etc.
The simplest way of installation is by using the Talend-Installer, the Drools Workbench will run out-of-the-box. No jars to copy, no configuration file to modify. The only thing to define is the Drools Workbench URL in Talend Suite section of TAC configuration tab.
Manual installation is also possible, but is not recommended (take much time, not work with the studio).
Technically, it's possible to run rules generated from a manual installation inside the studio. But we cannot assure documentation coverage and technical support of this kind of usage.
Best regards,
One Star

Re: PROBLEM WHILE running drools-guvnor in TOMCAT

thanks team for your quick response.
i have a small doubt.
1.I dont have TAC because i am using trail version of TALEND DATA INTEGRATION 6.1.1 tool.So, i cant integrate DROOLS GUVNOR in talend.
2.i want to generate rules using drools-5.1.1-guvnor.war which is outside guvnor and i want to use those rules in TALEND JOB.
In my case both TALEND DATA INTEGRATION 6.6.1 and drools-5.1.1-guvnor.war both are independent.
Is that possible to do accomplish my task in TALEND ?
if possible help me with procedure how can i accomplish.
Thanks,
Praveen Kolla.
Employee

Re: PROBLEM WHILE running drools-guvnor in TOMCAT

Hi,
In Talend 5.0.x to 5.6.x, we work with Drools 5.2.0.FINAL, your 5.1.1 rule repository can be easily imported to 5.2.0.
The problem is that we don't provide Studio 5.6.x trial AFAIK, so I don't think you can reuse the old repo directly.
Starting from Talend 6.0.x, we work with Drools 6.2.0.FINAL. The migration is not easy as the one above, but is still possible by following the instructions here: https://help.talend.com/search/all?query=Migrating+Drools+repository+from+version+5.x+to+version+6.0...
The migration tools is deivered to clients with subscription within the Talend-BRMS package. It can also be downloaded from the official site: https://repository.jboss.org/org/drools/drools-wb-jcr2vfs-distribution/6.2.0.Final/
If the repository is not too large, recreating the rules from scratch may not be a bad idea.
The difficulty here is not really about the migration, but about a successful manual installation of Drools Workbench.
One Star

Re: PROBLEM WHILE running drools-guvnor in TOMCAT

thanks team,
My question will be very basic because i am very much new to talend and DROOLS.
I can use Straight away Drools 6.2.0.FINAL with Talend 6.0.x.Now what is the need of migration . Can't  i create rules using Drools 
6.2.0.FINAL and use that rules in TALEND 6.0.x directly.
Here what is the need of migration,question can be silly but help me.
If possible help me with procedure, i can create new rules from scratch also because my old rules repository has only two rules.
I want to use only Kie workbench to generate rules or can i use GUVNOR also to generate rules.
Please help me with procedure working with Talend 6.0.x and Drools 6.2.0.FINAL.Creating rules with Drools6.2.0 and using those 
rules inTalend 6.0.x with out using migration concept.Once again i dont have TAC beacuse i am using Talend 6.0.x trail pack.